Page MenuHomePhabricator

GUC limit of 20 edits per wiki is confusing
Closed, ResolvedPublic

Description

Currently, the Global Contributions tool will only show 20 edits per wiki in both the "by wiki" and "by date" view types. This means that when one sorts by date, it's fairly likely that you will not actually be shown edits that happened on a date, if they are not within the user's 20 most recent on a wiki. As a result, the "by date" view gives an incomplete picture of "person's actual edits by date".
As an example, viewing global contribs for SGill (WMF), no edits are shown between 12 May and 8 June, despite a large number of edits the user made on Meta between those date (because those edits are not within the 20 most recent the user made to Meta). This leads to misleading and/or confusing global contrib search results.

Feature request - Suggested (alternative) options for resolving this, in order of preference:

  • show all edits for each date in the most recent X days when searching by date. (but I'm guessing that that's too resource-intensive).
  • in the "by date" view, limit the search to 20 edits per date rather than 20 edits per wiki overall, and give a link underneath each batch to the complete onwiki contributions page (so that users are reminded that not all edits are shown).
  • Add a link at the bottom of each 20 results, to "show more results from this wiki".
  • Move the line "Limited to 20 results per wiki." from the bottom of the page to the top and increase font size.

Details

Related Gerrit Patches:

Event Timeline

Kbrown created this task.Jun 9 2017, 5:00 PM
jrbs added a subscriber: jrbs.Jun 9 2017, 5:05 PM

Which one are you referring to?

There's the labs tool version which can be used at https://tools.wmflabs.org/guc/ ( https://github.com/wikimedia/labs-tools-guc ). If you're referring to the tool labs, use Tool-Global-user-contributions

GlobalContribs is the MediaWiki extension version, where the source is located at https://github.com/wikimedia/mediawiki-extensions-GlobalContribs. It registers Special:GlobalContributions as a special page. There's also GlobalContributions ( https://github.com/wikimedia/mediawiki-extensions-GlobalContributions ), and there's a task for both of them to be merged at T154852: Merge GlobalContribs into GlobalContributions

Sorry about the confusing naming, I'll rename GlobalContribs to something else.

Quiddity renamed this task from Show 20 edits per date, rather than per wiki, when searching global contribs by date to GUC limit of 20 edits per wiki is confusing.Jun 9 2017, 5:47 PM
Quiddity updated the task description. (Show Details)
Quiddity edited projects, added Tool-Global-user-contributions; removed GlobalContribs.
Quiddity added a subscriber: Quiddity.

@Quiddity Thanks for tagging the task correctly! I just realized I should've looked at the actual link in the task description, that's my bad.

Krinkle triaged this task as Normal priority.Jul 7 2017, 10:35 PM
Krinkle moved this task from Backlog to Known-Bug on the Tool-Global-user-contributions board.

Move the line "Limited to 20 results per wiki." from the bottom of the page to the top.

I'll go with this for now. The tool already shows "contribs" link for each wiki heading or user name, which can be used to see more contributions on the local wiki.

Change 434118 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[labs/tools/guc@master] Move "Limited to 20 results per wiki" message from bottom to top

https://gerrit.wikimedia.org/r/434118

Change 434118 merged by jenkins-bot:
[labs/tools/guc@master] Move "Limited to 20 results per wiki" message from bottom to top

https://gerrit.wikimedia.org/r/434118

Krinkle closed this task as Resolved.May 20 2018, 12:05 AM
Krinkle claimed this task.
Krinkle removed a project: Patch-For-Review.